libsidplayfp::Lightpen Class Reference

`#include <lightpen.h>`

## Public Member Functions

void | setScreenSize (unsigned int height, unsigned int width)
void | reset ()
uint8_t | getX () const
uint8_t | getY () const
bool | retrigger ()
bool | trigger (unsigned int lineCycle, unsigned int rasterY)
void | untrigger ()

## Detailed Description

Lightpen emulation. Does not reflect model differences.

## Member Function Documentation

## getX()

uint8_t libsidplayfp::Lightpen::getX | ( |  | ) | const

inline

Return the low byte of x coordinate.

## getY()

uint8_t libsidplayfp::Lightpen::getY | ( |  | ) | const

inline

Return the low byte of y coordinate.

## reset()

void libsidplayfp::Lightpen::reset | ( |  | ) |

inline

Reset the lightpen.

## retrigger()

bool libsidplayfp::Lightpen::retrigger | ( |  | ) |

inline

Retrigger lightpen on vertical blank.

Returns
  true if an IRQ should be triggered

## setScreenSize()

void libsidplayfp::Lightpen::setScreenSize | ( | unsigned int | height,
|  | unsigned int | width )

inline

Set VIC screen size.

Parameters

  height | number of raster lines
  width | number of cycles per line

## trigger()

bool libsidplayfp::Lightpen::trigger | ( | unsigned int | lineCycle,
|  | unsigned int | rasterY )

inline

Trigger lightpen from CIA.

Parameters

  lineCycle | current line cycle
  rasterY | current y raster position

Returns
  true if an IRQ should be triggered

## untrigger()

void libsidplayfp::Lightpen::untrigger | ( |  | ) |

inline

Untrigger lightpen from CIA.

The documentation for this class was generated from the following file:

- lightpen.h